# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'dogerific/version'

Gem::Specification.new do |spec|
  spec.name          = "dogerific"
  spec.version       = Dogerific::VERSION
  spec.authors       = ["Collin Graves"]
  spec.email         = ["collinrgraves@gmail.com"]
  spec.summary       = %q{so english. such doge. wow.}
  spec.description   = %q{Turn any phrase in to a dogerific sentence with a single command.}
  spec.homepage      = ""
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_dependency 'engtagger'

  spec.add_development_dependency "bundler", "~> 1.6"
  spec.add_development_dependency "rake"
  spec.add_development_dependency 'rspec'
end
