require 'spec_helper'

describe String do
  subject { 'My grandmom gave me a sweater for Christmas.' }

  describe '#dogerific' do
    let(:options) { { ignore: [] } }
    let(:output) { subject.dogerific(options) }

    it 'delegates to Dogerific#convert' do
      expect_any_instance_of(Dogerific).to receive(:convert).with(subject, options)
      output
    end

    it 'returns a string' do
      expect(output).to be_a String
    end
  end
end